Why can't I find the PAI app in the Apple App Store or Google Play Store?

Mio PAI app supports devices running iOS 9 or above, and Android 5.0 or above. Please check that your phone is compatible.

Try accessing the app via these links:

 
 

If you have trouble finding out whether your phone is compatible, please reach out to us at support@mioglobal.com.